Qt 5.9 | Qt 3D | C++ Classes | QInputChord

Qt 5.9.3 Reference Documentation

# QInputChord Class

(Qt3DInput::QInputChord)

QInputChord represents a set of QAbstractActionInput's that must be triggerd at once. More...

Header: | #include <QInputChord>
qmake: | QT += 3dinput
Since: | Qt 5.7
Instantiated By: | InputChord
Inherits: | Qt3DInput::QAbstractActionInput

- List of all members, including inherited members

## Properties

- timeout : int

- 3 properties inherited from Qt3DCore::QNode

## Public Functions

| QInputChord(Qt3DCore::QNode *parent = nullptr)
void | addChord(QAbstractActionInput *input)
QVector<QAbstractActionInput *> | chords() const
void | removeChord(QAbstractActionInput *input)
int | timeout() const

- 11 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setTimeout(int timeout)

- 3 public slots inherited from Qt3DCore::QNode

## Signals

void | timeoutChanged(int timeout)

- 4 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

QInputChord represents a set of QAbstractActionInput's that must be triggerd at once.

## Property Documentation

### timeout : int

The time in which all QAbstractActionInput's in the input chord must triggered within. The time is in milliseconds.

Access functions:

int | timeout() const
void | setTimeout(int timeout)

Notifier signal:

void | timeoutChanged(int timeout)

## Member Function Documentation

### QInputChord::QInputChord(Qt3DCore::QNode *parent = nullptr)

Constructs a new QInputChord with parent parent.

### void QInputChord::addChord(QAbstractActionInput *input)

Append the QAbstractActionInput input to the end of this QInputChord's chord vector.

See also removeChord.

### QVector<QAbstractActionInput *> QInputChord::chords() const

Returns the QInputChord's chord vector.

### void QInputChord::removeChord(QAbstractActionInput *input)

Remove the QAbstractActionInput input from this QInputChord's chord vector.

See also addChord.

### `[slot]` void QInputChord::setTimeout(int timeout)

Sets the time in which all QAbstractActionInput's in the input chord must triggered within to timeout. The time is in milliseconds

Note: Setter function for property timeout.

See also timeout().